Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Class StructureMatcher.BracketMatcher

    java.lang.Object
      org.gjt.sp.jedit.textarea.StructureMatcher.BracketMatcher

All Implemented Interfaces:
  StructureMatcher

Enclosing interface:
  StructureMatcher

    public static class StructureMatcher.BracketMatcher

extends java.lang.Object
implements StructureMatcher

Nested Class Summary

Nested classes/interfaces inherited from interface org.gjt.sp.jedit.textarea.StructureMatcher
`StructureMatcher.BracketMatcher, StructureMatcher.Highlight, StructureMatcher.Match`

Constructor Summary
`StructureMatcher.BracketMatcher()`

Method Summary
`StructureMatcher.Match` | `getMatch(TextArea textArea)` Returns the element matching the one at the given text area's caret position, or null.
`void` | `selectMatch(TextArea textArea)` Selects from the caret to the matching structure element (if there is one, otherwise the behavior of this method is undefined).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureMatcher.BracketMatcher

    public StructureMatcher.BracketMatcher()

Method Detail

### getMatch

    public StructureMatcher.Match getMatch(TextArea textArea)

  Description copied from interface: `StructureMatcher`
  Returns the element matching the one at the given text area's caret position, or null.

  Specified by:
    `getMatch` in interface `StructureMatcher`

### selectMatch

    public void selectMatch(TextArea textArea)

  Description copied from interface: `StructureMatcher`
  Selects from the caret to the matching structure element (if there is one, otherwise the behavior of this method is undefined).

  Specified by:
    `selectMatch` in interface `StructureMatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD